Page MenuHomePhabricator

histedit: always define update results
ClosedPublic

Authored by indygreg on Mar 5 2018, 1:17 AM.

Details

Summary

Before, we had a branch that could return None for the update stats.
Let's just return an updateresult instance instead.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.Mar 5 2018, 1:17 AM
martinvonz accepted this revision.Mar 21 2018, 8:18 PM
martinvonz added a subscriber: martinvonz.
martinvonz added inline comments.
hgext/histedit.py
502

remove the "stats and" now?

This revision is now accepted and ready to land.Mar 21 2018, 8:18 PM
indygreg marked an inline comment as done.Mar 24 2018, 2:03 PM
indygreg added inline comments.
hgext/histedit.py
502

This is done in the next commit :)

durin42 accepted this revision.Mar 24 2018, 3:07 PM
indygreg marked an inline comment as done.Mar 24 2018, 5:21 PM
This revision was automatically updated to reflect the committed changes.